SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Security)  >   eTrust Antivirus Vendors:   CA
CA Anti-Virus for the Enterprise Buffer Overflows Let Remote and Local Users Execute Arbitrary Code
SecurityTracker Alert ID:  1018043
SecurityTracker URL:  http://securitytracker.com/id/1018043
CVE Reference:   CVE-2007-2522, CVE-2007-2523   (Links to External Site)
Date:  May 10 2007
Impact:   Execution of arbitrary code via local system, Execution of arbitrary code via network, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): r8
Description:   Two vulnerabilities were reported in CA Anti-Virus for the Enterprise (formally eTrust Antivirus). A remote user can execute arbitrary code on the target system. A local user can obtain elevated privileges on the target system.

A remote user can send specially crafted login authentication to the Console Server to trigger a stack overflow and execute arbitrary code on the target system [CVE-2007-2522]. The code will run with the privileges of the target service.

CA Threat Manager (formally eTrust Integrated Threat Management) and CA Anti-Spyware (formally eTrust PestPatrol) are also affected.

A local user can modify the contents of a file mapping to trigger a stack overflow in 'InoCore.dll' and execute arbitrary code on the target system [CVE-2007-2523].

CA Threat Manager is also affected by this second vulnerability.

CA credits Tenable Network Security and TippingPoint with reporting the Console Server buffer overflow and binagres and iDefense with reporting the InoCore buffer overflow.

Impact:   A remote user can execute arbitrary code on the target system.

A local user can obtain elevated privileges on the target system.

Solution:   The vendor has issued a fix, available via the automatic update feature.

The CA advisory is available at:

http://supportconnectw.ca.com/public/antivirus/infodocs/caav-secnotice050807.asp

Vendor URL:  supportconnectw.ca.com/public/antivirus/infodocs/caav-secnotice050807.asp (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Thu, 10 May 2007 13:13:05 -0400
Subject:  CA Anti-Virus


http://supportconnectw.ca.com/public/antivirus/infodocs/caav-secnotice050807.asp

CVE-2007-2522

CVE-2007-2523 


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC